# Uses of Class
net.shibboleth.idp.session.criterion.SPSessionCriterion

Packages that use SPSessionCriterion
Package
Description
net.shibboleth.idp.session.impl
Implementations of session-related classes and interfaces.

## Uses of SPSessionCriterion in net.shibboleth.idp.session.impl

Methods in net.shibboleth.idp.session.impl with parameters of type SPSessionCriterion
Modifier and Type
Method
Description
`private Iterable<IdPSession>`
StorageBackedSessionManager.`lookupBySPSession(SPSessionCriterion criterion)`
Performs a lookup and deserializes records potentially matching a SPSession.